---
title: Ping by ID
slug: apis/webhooks/cos-webhooks/events-formats-cos/webhook-management-cos/ping-by-id
description: PUT webhooks/v1/registrations/{id}/ping sends a test webhook (without resource payload) to your callback URL to verify setup.
icon: {"apiMethod":"PUT"}
docTags: 
createdAt: 2025-05-07T13:21:57.972Z
---

:::ApiMethodV2
```json
{
  "name": "Endpoint: /webhooks/v1/registrations/{id}/ping",
  "method": "PUT",
  "url": "https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/ping",
  "description": "Ping a webhook registration by ID to check the status. 202 response indicates that this is a valid webhook.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "CleBcO_2wL3a16Buk3Pxm",
        "language": "curl",
        "code": "curl --location --globoff --request PUT 'https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/ping?id=8d6115c0-2a88-4a58-b731-b306002e8bc2'",
        "customLabel": ""
      },
      {
        "id": "jVtGnuIpM1gX09xe4zuqH",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'PUT',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/webhooks/v1/registrations/{id}/ping?id=8d6115c0-2a88-4a58-b731-b306002e8bc2',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "LA4C5-G_o7jo-_9HLKG0p",
        "language": "python",
        "code": "import requests\n\nurl = \"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/ping?id=8d6115c0-2a88-4a58-b731-b306002e8bc2\"\n\npayload = {}\nheaders = {}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "54UPZSVg6mAgKrCmko8BO",
        "language": "ruby",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/ping?id=8d6115c0-2a88-4a58-b731-b306002e8bc2\"\n  method := \"PUT\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      },
      {
        "id": "JIZrLaOwc4ur8V5eG2hBI",
        "language": "go",
        "code": "",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "CleBcO_2wL3a16Buk3Pxm"
  },
  "results": {
    "languages": [
      {
        "id": "tBg1_BVjgUmgoVNtaY8pg",
        "language": "202",
        "customLabel": "",
        "code": ""
      }
    ],
    "selectedLanguageId": "tBg1_BVjgUmgoVNtaY8pg"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "The webhook registration ID. You receive this ID in the response when you register a webhook event. This ID is in GUID format.",
        "children": []
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-webhooksv1registrationsidping",
  "legacyHash": "UDDHj6qcaTfdBJ-oZJReG"
}
```
:::

